Bug 1309413 - "hammer content-host list" timesout when registered content hosts are at scale
"hammer content-host list" timesout when registered content hosts are at scale
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer - Content (Show other bugs)
6.1.6
x86_64 Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-17 13:02 EST by Pradeep Kumar Surisetty
Modified: 2018-06-07 01:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pradeep Kumar Surisetty 2016-02-17 13:02:30 EST
Description of problem:

Registered 750 content hosts to satelitter server (6.1.7)

# time hammer -u admin -p changeme content-host list --organization-id 1 
Error: Request Timeout

real	2m1.061s
user	0m0.898s
sys	0m0.077s
# 



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Register content hosts to sateliette at scale 
2. From CLI get the content host details. 
time hammer -u admin -p changeme content-host list --organization-id 1 
3.

Actual results:

Request times out., 

Expected results:

Should give the details with out time out. 
Additional info:
Comment 1 Bryan Kearney 2016-07-26 15:04:43 EDT
Moving 6.2 bugs out to sat-backlog.

Note You need to log in before you can comment on or make changes to this bug.